diff --git a/buglist b/buglist
index e46bd2c..324b888 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7260: 
+bug 7261: 
 todo 336:
 wish 1012:
 meh 5:
@@ -40976,4 +40976,8 @@ fixed by 20140615.01.tpd.patch
 =========================================================================
 bug 7255: BinaryTreeCategory always has finiteAggregate
 
+fixed by 20141002.01.tpd.patch
+=========================================================================
+bug 7260: FINITE() Type: Subdomain(Domain)
+
 
diff --git a/changelog b/changelog
index 550613a..9d93127 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141002 tpd src/axiom-website/patches.html 20141002.01.tpd.patch
+20141002 tpd src/interp/i-analy.lisp fix bug 7260 wrong type on output
 20140928 tpd src/axiom-website/patches.html 20140928.01.tpd.patch
 20140928 tpd books/bookvol0.pamphlet add contributor preamble
 20140927 tpd src/axiom-website/patches.html 20140927.02.tpd.patch
diff --git a/patch b/patch
index cde8266..7adea28 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,4 @@
-books/bookvol0.pamphlet add contributor preamble
+src/interp/i-analy.lisp fix wrong type on output
+
+fix bug 7260: FINITE() Type: Subdomain(Domain)
 
-Explain the reason for obituaries.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1130efe..7618a60 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4658,6 +4658,8 @@ books/bookvol0 add obits for Bronstein, O'Connor<br/>
 books/bookvol10.4 document Sylvester matrix<br/>
 <a href="patches/20140928.01.tpd.patch">20140928.01.tpd.patch</a>
 books/bookvol0.pamphlet add contributor preamble<br/>
+<a href="patches/20141002.01.tpd.patch">20141002.01.tpd.patch</a>
+src/interp/i-analy.lisp fix wrong type on output<br/>
  </body>
 </html>
 
diff --git a/src/interp/i-analy.lisp.pamphlet b/src/interp/i-analy.lisp.pamphlet
index ce42c7c..32fa7a8 100644
--- a/src/interp/i-analy.lisp.pamphlet
+++ b/src/interp/i-analy.lisp.pamphlet
@@ -2057,7 +2057,7 @@
 ;bottomUpType(t, type) ==
 ;  mode :=
 ;    if isPartialMode type then '(Mode)
-;    else if categoryForm?(type) then '(SubDomain (Domain))
+;    else if categoryForm?(type) then '(Category)
 ;         else '(Domain)
 ;  val:= objNew(type,mode)
 ;  putValue(t,val)
@@ -2071,7 +2071,7 @@
         (SPADLET |mode|
                  (COND
                    ((|isPartialMode| |type|) '(|Mode|))
-                   ((|categoryForm?| |type|) '(|SubDomain| (|Domain|)))
+                   ((|categoryForm?| |type|) '(|Category|))
                    ('T '(|Domain|))))
         (SPADLET |val| (|objNew| |type| |mode|))
         (|putValue| |t| |val|)
